#!/bin/sh

hour=`/bin/date +%H`;
target="05XXXXX"  # vollstndige Zielrufnummer
if="isdn1"        # Name des ISDN-Interfaces, das benutzt werden soll
MYSQL="/usr/local/bin/mysql" # vollstndiger Pfad zu mysql


# Die SQL-Anfrage zum Rausholen der Provider, geordnet nach Preisen/Minute
# zur aktuellen Stunde

q="select code from provider, weekdays where id = prov_id and start_time <= $hour and end_time > $hour order by per_minute desc"

#
# Alle aktuell eingetragenen Telefonnummern lschen
#
for i in `isdnctrl list $if | grep Outgoing: | sed -e "s/^.*://" `  
do 
  isdnctrl delphone isdn1 out $i 
done  


# Erstmal einen Default eintragen, das ist der teuerste Fall

isdnctrl addphone $if out ${target}

# Jetzt alle Provider in der von MySQL gelieferten Reihenfolge ausgeben

for i in `$MYSQL -E -e "$q" -u ck leastcost | grep code: | sed -e 's/^.* //'`  
do
   isdnctrl addphone $if out ${i}${target}
done

